This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 847025 - Layout problem, a table overlaps page borders. Available Implicit Variables in the JBoss ON API chapter
Layout problem, a table overlaps page borders. Available Implicit Variables i...
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity unspecified
: 3.0
: ---
Assigned To: Jeff Fearn
Ruediger Landmann
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-09 09:29 EDT by Filip Brychta
Modified: 2012-10-30 23:11 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 23:11:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Deon Ballard 2012-08-10 14:49:05 EDT
I think this is a problem with the rendering in Publican 3, which means it could be (and probably is) showing up in other areas.

I'm going to switch this to a Publican bug to see if there is a workaround or to request a fix.
Comment 2 Ruediger Landmann 2012-08-15 02:48:27 EDT
Problem still presents in build publican-3.0-0.fc17.t219.noarch

FWIW, the long strings that are not wrapping and thus stretching the table horizontally are bare <entry>s.
Comment 3 Jeff Fearn 2012-08-17 00:56:55 EDT
I bet you tested the stand alone CSS and not the web css eh.

Committed fix to stand alone CSS as well.
Comment 4 Andrew Ross 2012-10-03 19:21:10 EDT
(In reply to comment #2)
> Problem still presents in build publican-3.0-0.fc17.t219.noarch
> 
> FWIW, the long strings that are not wrapping and thus stretching the table
> horizontally are bare <entry>s.


Checked two ways:

1. Against link in comment#0. Column 2 "Type" is wrapping.

https://access.redhat.com/knowledge/docs/en-US/JBoss_Operations_Network/3.1/html/Dev_Writing_JON_Command-Line_Scripts/Working_with_the_CLI-Implicit_Variables.html

2.  Created a local test build and added the source for the table in comment#0. Columns are wrapping. Local machine is a RHEL6.3 workstation with publican-3.0-0.el6.t226.noarch build from source.

Based upon these tests, moving to VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.